Summary: A graphics library for generating .gif files.
Name: gd
%define majver 1
Version: 1.8.1
Release: 4mdk
Source: http://www.boutell.com/gd/gd-%{version}.tar.bz2
Patch: gd-1.8.1-shared.patch.bz2
Copyright: BSD-style
Group: System/Libraries
BuildRequires: libpng-devel zlib-devel
BuildRoot: /var/tmp/gd-root
Prefix: /usr
Prereq: /sbin/ldconfig

%description
Gd is a graphics library for drawing .gif files.  Gd allows your code to
quickly draw images (lines, arcs, text, multiple colors, cutting and
pasting from other images, flood fills) and write out the result as a
.gif file. Gd is particularly useful in web applications, where .gifs
are commonly used as inline images.  Note, however, that gd is not a
paint program.

Install gd if you are developing applications which need to draw .gif
files.  If you install gd, you'll also need to install the gd-devel
package.


%package devel
Requires: gd = %{PACKAGE_VERSION}
Summary: The development libraries and header files for gd.
Group: Development/C

%description devel
These are the development libraries and header files for gd, the .gif
graphics library.

If you're installing the gd graphics library, you'll probably want to install
gd-devel.

%package utils
Requires: gd = %{PACKAGE_VERSION}
Summary: The Utils files for gd.
Group: System/Libraries

%description utils
gd is a graphics library. It allows your code to quickly draw images
complete with lines, arcs, text, multiple colors, cut and paste from
other images, and flood fills, and write out the result as a .PNG
file. This is particularly useful in World Wide Web applications,
where .PNG is one of the formats accepted for inline images by most
browsers.

gd is not a paint program. If you are looking for a paint program,
you are looking in the wrong place. If you are not a programmer, you
are looking in the wrong place.

gd does not provide for every possible desirable graphics operation.
It is not necessary or desirable for gd to become a kitchen-sink
graphics package, but version 1.7.3 incorporates most of the commonly
requested features for an 8-bit 2D package. Support for truecolor
images, JPEG and truecolor PNG is planned for version 2.0.


%prep
%setup
%patch -p0

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin

make INSTALL_LIB=$RPM_BUILD_ROOT/usr/lib \
    INSTALL_BIN=$RPM_BUILD_ROOT/usr/bin \
    INSTALL_INCLUDE=$RPM_BUILD_ROOT/usr/include install

install -m 755 libgd.so.%{version} $RPM_BUILD_ROOT/usr/lib
ln -sf libgd.so.%{majver} $RPM_BUILD_ROOT/usr/lib/libgd.so
ln -sf libgd.so.%{version} $RPM_BUILD_ROOT/usr/lib/libgd.so.%{majver}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc readme.txt index.html
/usr/lib/*.so.*

%files devel
%defattr(-,root,root)
/usr/lib/*.so
/usr/include/*

%files utils
%defattr(-,root,root)
/usr/bin/*

%changelog
* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-4mdk
- removed build requires on gd-devel.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.8.1-3mdk
- automatically added BuildRequires

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 1.8.1-2mdk
- add soname

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.8.1-1mdk
- Upgrade to 1.8.1

* Thu Oct 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Relifting of .spec.
- New shared lib patchs.
- 1.7.
- Add package utils.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- fix typo :-(

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- we can't use >1.5 unless we backport the gif support :-(.
- Add %defattr.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.5

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- built for 5.2
